Upstream information

CVE-2017-6843 at MITRE

Description

Heap-based buffer overflow in the PoDoFo::PdfVariant::DelayedLoad function in PdfVariant.h in PoDoFo 0.9.4 allows remote attackers to have unspecified impact via a crafted file.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.8
Vector CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Attack Vector Local
Attack Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3
SUSE Bugzilla entries: 1027783 [RESOLVED / DUPLICATE], 1029855 [NEW]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Linux Enterprise Server 12 SP5 podofo Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 podofo Affected
SUSE Linux Enterprise Software Bootstrap Kit 12 podofo Affected
SUSE Linux Enterprise Software Development Kit 12 SP5 podofo Affected
SUSE Linux Enterprise Workstation Extension 12 SP5 podofo Affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Server 12 SP4 podofo Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 podofo Affected
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Desktop 12 podofo Affected
SUSE Linux Enterprise Desktop 12 SP1 podofo Affected
SUSE Linux Enterprise Desktop 12 SP2 podofo Affected
SUSE Linux Enterprise Desktop 12 SP3 podofo Affected
SUSE Linux Enterprise Desktop 12 SP4 podofo Affected
SUSE Linux Enterprise Server 12 podofo Affected
SUSE Linux Enterprise Server 12 SP1 podofo Affected
SUSE Linux Enterprise Server 12 SP2 podofo Affected
SUSE Linux Enterprise Server 12 SP3 podofo Affected
SUSE Linux Enterprise Server for SAP Applications 12 podofo Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 podofo Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 podofo Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 podofo Affected
SUSE Linux Enterprise Software Development Kit 12 SP2 podofo Affected
SUSE Linux Enterprise Software Development Kit 12 SP3 podofo Affected
SUSE Linux Enterprise Software Development Kit 12 SP4 podofo Affected
SUSE Linux Enterprise Workstation Extension 12 podofo Affected
SUSE Linux Enterprise Workstation Extension 12 SP1 podofo Affected
SUSE Linux Enterprise Workstation Extension 12 SP2 podofo Affected
SUSE Linux Enterprise Workstation Extension 12 SP3 podofo Affected
SUSE Linux Enterprise Workstation Extension 12 SP4 podofo Affected


SUSE Timeline for this CVE

CVE page created: Mon Mar 13 11:16:32 2017
CVE page last modified: Mon Jan 16 17:58:25 2023